Subject: Re: WARNING: at net/ipv4/af_inet.c:155 inet_sock_destruct+0x122/0x13a()

From: Vlad Yasevich <[email-masked]>
Date: Thu, 13 Aug 2009 13:04:15 -0400

John Dykstra wrote:
> On Wed, 2009-08-12 at 16:00 -0400, Vlad Yasevich wrote:
>> BTW, I've seen the same issue in 2.6.28 and 2.6.29 while doing a bunch
>> of NFS-over-UDP testing.  I've seen the issue reported in 2.6.27 as well,
>> but it went by ignored.  It's not easy to reproduce as it seems like it
>> requires quite a bit traffic over over multiple interfaces.
> 
> I've been unable to reproduce it so far.  Has bonding always been
> present in the cases you've seen, or are multiple independent interfaces
> sufficient?

Bonding wasn't used in this case, ie. no bonding interfaces were configured.

> 
> In the case you reported initially, openvpn was using UDP, but the peer
> was dead, so there presumably wasn't much traffic from that app.  Was
> there lots of NFS-over-UDP traffic also going on?

The openvpn case wasn't mine.  I didn't use any vpn traffic.  Just 2
systems back-to-back with NFS traffic between them.

Yes, there was a lot of NFS over UDP traffic and not much other UDP traffic.

> 
> Where was the independent report on 2.6.27

http://article.gmane.org/gmane.linux.nfs/22887
http://kerneltrap.org/mailarchive/linux-netdev/2008/11/26/4244994

-vlad

>   --  John